commit 430e62140a417c54ac2913cce3ec4b55217d4b8d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Jan 12 01:18:06 2022

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index b0776a8f8da..99ff9d0cb82 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,14 @@
+2022-01-11  Andrew MacLeod  <amacleod@redhat.com>
+
+	PR tree-optimization/103603
+	* gimple-range.cc (gimple_ranger::gimple_ranger): Create stmt stack.
+	(gimple_ranger::~gimple_ranger): New.
+	(gimple_ranger::range_of_stmt): Process dependencies if they have no
+	global cache entry.
+	(gimple_ranger::prefill_name): New.
+	(gimple_ranger::prefill_stmt_dependencies): New.
+	* gimple-range.h (class gimple_ranger): Add prototypes.
+
 2022-01-10  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR target/103465
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 9de7ada22f1..c1632246c83 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220111
+20220112

